package de.uni_passau.fim.strategies;

import java.util.HashMap;

public class StrategyConfiguration {

	public int numOfColors;
	public int numOfPlaces;
	public int numOfRows;
	public boolean withRepetition;
	
	public HashMap<String, Object> specialConf = new HashMap<String, Object>();
	
	public int numberOfGames() {
		if (withRepetition)
			return (int) Math.pow(numOfColors, numOfPlaces);
		else {
			int num = numOfColors;
			for (int i= 1; i<numOfPlaces; i++) {
				num *= (numOfColors-i);
			}
			return num;
		}
			
	}
	
	
}
